org.apache.fop.render.rtf.rtflib.exceptions

## Class RtfException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.fop.render.rtf.rtflib.exceptions.RtfException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  RtfStructureException

    public class RtfException
    extends IOException

Base class for rtflib exceptions.

This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RtfException(String reason)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RtfException

    public RtfException(String reason)

Parameters:
  `reason` - Description of reason for Exception.